Results 1 to 7 of 7
  1. #1
    Join Date
    Feb 2002

    Unhappy Need a perl expert on a problem

    Hi we have a customer that is trying to use a perl script that they wrote. We don't seem to have any other troubles but on this one so we don't know if it is a script problem or what.. We have upgrades to perl 5.6.1 and as far as we can see all perl mods are installed..

    I am hoping an expert here can figure this out for a few $$ or so and get this customer off and running.


    BTW here is the error message maybe it will point you in the right direction to know where to look. Yes I know you will need to see the script but email us if you are good at perl, really good..

    Here's the error message from the error log:

    install_driver(mysql) failed: DBD::mysql object version 2.0902 does not match bootstrap parameter 2.1017 at /usr/lib/perl5/5.6.1/i386-linux/ line 225.
    Compilation failed in require at (eval 1) line 3.

    at dbtest.cgi line 8
    Last edited by GWDGuy; 07-13-2002 at 08:21 AM.

  2. #2
    What version of MySQL are you using?

  3. #3
    That is most likely a scripting error. Or it could, be configuration, depending how you looked at it . I would have to get inside, in order to give you a "more" detailed diagnostic.

    Perhaps, look at the logs also, look for anything saying pre-, pre-, pre-. Or just post the logs here, and ill see what I can do..

    But, from the looks of it the scripting error, is in the parameters..

  4. #4
    Join Date
    Apr 2001
    It doesn't look like a problem with the script. It looks like @INC is pulling in an older veriosn of your DBD module first. Check to make sure that you don't have duplicates of DBD in other dirs. You might even want to remove them all and reinstall.


  5. #5
    Join Date
    Feb 2002
    Hi were are running MySQL 3.23.46 , we uninstalled all the perl mods and reinstalled (well our Administrator did) and we just upgraded to perl 5.6.1 from 5.6.0
    Before the upgrade all we got on this one was internal server errors now just a blank screen.

    The above (first post) is the only thing coming up in the log when the script is executed.

    Light travels faster than sound, which is why some people appear bright until you hear them speak.

  6. #6
    Join Date
    Dec 2001
    DBD::mysql object version 2.0902 does not match bootstrap parameter 2.1017

    have you tried perl -MCPAN -e shell
    install DBD::mysql.

    If that doesn't work, I'd be willing to fix it, but would probably have to look at the script (would you be willing to post it.)
    Check Out My Investment Blog - I plan to invest in a diverse portfolio through the next few months. As I make (lose?) money, I'll document my decisions, rationale for them, and their results.

  7. #7
    Join Date
    Jun 2002

    I have gotten that with 2 servers now, they need to install DBD::mysql as revelation said up.

    Hope it all works out for you.
    - Andy
    Free browser based game:
    Play in your spare time!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts